# Prefer the precise clock at unit 1 over the imprecise one at unit 0.

# GPS PPS reference (NTP1)
refclock shm unit 1 refid GPS minpoll 0 maxpoll 0 prefer

# GPS Serial data reference (NTP0)
refclock shm unit 0 refid NMEA time1 0.525 minpoll 0 maxpoll 0 stratum 10
#refclock shm unit 0 refid GPS minpoll 4 maxpoll 4 noselect

# Prevent coarse (NMEA GPS) time from flagging as false ticker
tos mindist 0.5

# Servers and pools
#server clock.nyc.he.net iburst
#server ntp1.conectiv.com iburst
#server tick.usno.navy.mil iburst
#pool us.pool.ntp.org

# By default, exchange time with everybody, but don't allow configuration.
restrict default kod limited nomodify nopeer noquery
restrict -6 default kod limited nomodify nopeer noquery

# Local subnets can do a bit more
restrict 10.4.0.0/16 nomodify

# Local users may interrogate the NTP server more closely.
restrict 127.0.0.1
restrict -6 ::1

# Drift file etc.
driftfile /var/lib/ntp/ntp.drift

# Log some data
statsdir /var/log/ntpstats/
statistics peerstats loopstats protostats
filegen peerstats file peerstats type day enable
filegen loopstats file loopstats type day enable
filegen protostats file protostats type day enable
